summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYegor Timoshenko <yegortimoshenko@gmail.com>2017-05-18 03:36:34 +0300
committerPatrice Clement <monsieurp@gentoo.org>2017-05-31 18:22:53 +0200
commit801df3e392d499a89d4b9064857f13d252064b18 (patch)
tree990083f7ec4a1e71b83af7f7e45d6f91deeed3fb /app-cdr/nrg2iso
parentapp-cdr/uif2iso: EAPI="6", fix LICENSE and tests, keyword for ~x64-macos. (diff)
downloadgentoo-801df3e392d499a89d4b9064857f13d252064b18.tar.gz
gentoo-801df3e392d499a89d4b9064857f13d252064b18.tar.bz2
gentoo-801df3e392d499a89d4b9064857f13d252064b18.zip
app-cdr/nrg2iso: EAPI 6 bump, keyword for ~x64-macos, fix LICENSE and src_test phase.
Closes: https://github.com/gentoo/gentoo/pull/4663
Diffstat (limited to 'app-cdr/nrg2iso')
-rw-r--r--app-cdr/nrg2iso/Manifest2
-rw-r--r--app-cdr/nrg2iso/metadata.xml12
-rw-r--r--app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild35
3 files changed, 45 insertions, 4 deletions
diff --git a/app-cdr/nrg2iso/Manifest b/app-cdr/nrg2iso/Manifest
index 523734b82d5..0bc0662ec93 100644
--- a/app-cdr/nrg2iso/Manifest
+++ b/app-cdr/nrg2iso/Manifest
@@ -1 +1,3 @@
DIST nrg2iso-0.4.tar.gz 8553 SHA256 25049d864680ec12bbe31b20597ce8c1ba3a4fe7a7f11e25742b83e2fda94aa3 SHA512 fa9e081984345770fad713cdfc5711c8c9ace3981d1cc8130b4c2b83eca517c7765eaab758a34dd5e59846f24c6e3f76f3fc89e984305c4358859b0b28e1ec68 WHIRLPOOL 668d43e1a3dc7e3dfc41f92212d3c102d41ef055f7af396a4e8726aa047701e64bac4100f3a149e61641d52bbbc88a6bd024976e2bda62a84535017cac835b14
+DIST nrg2iso-test.iso 55452 SHA256 c88230596afeebef632ebe1c683180abb93a082e3e8667ca066d994b9cd77605 SHA512 905c0b30482a3b411e786a4cc225dab7513a33c32bfd312717f4666543323456d2b6b6ddbeee75ed194e04cf28d472c87ffbdbf783c63abd06fae7e433601fba WHIRLPOOL 0db6347b0eb253879bd675112faad91cab287e8a26eb63b03b116ff4ae5a8d72b82fd65d38935f8a66c4b7b464bed0667cdc421d19d83835e9a63b4014b66d6c
+DIST nrg2iso-test.nrg 362652 SHA256 1219059917243ec0d8ca211354e50611a912094a1ea523d759c06690b60bc63a SHA512 c29f7e7d3f692a03fdbc5d0c1a112ead73efb45b102302f7f1685f9f2ccfe1eed9b690a3c3f1c7d7d79da9197fdb40dd06ca7bab4187e5dfca81d47268b550b7 WHIRLPOOL a4ee3f1216eebe15ca01037eae371697d4275f463c4428e403b30c66f1412bf9853bf7bbb413f2c2a3c72c24a9695aa8532dd5519bdd2ea0ccffbc456d6a219f
diff --git a/app-cdr/nrg2iso/metadata.xml b/app-cdr/nrg2iso/metadata.xml
index 074a8867a5c..c2690264a00 100644
--- a/app-cdr/nrg2iso/metadata.xml
+++ b/app-cdr/nrg2iso/metadata.xml
@@ -1,8 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<!-- maintainer-needed -->
-<longdescription>Nrg2Iso is a linux utils for converting CD (or DVD) image
-generated by Nero Burning Rom to ISO format.
-</longdescription>
+<maintainer type="person">
+ <email>yegortimoshenko@gmail.com</email>
+ <name>Yegor Timoshenko</name>
+</maintainer>
+<maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+</maintainer>
</pkgmetadata>
diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
new file mode 100644
index 00000000000..30048df034e
--- /dev/null
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Convert CD images from nrg (Nero) to iso"
+HOMEPAGE="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html"
+SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
+ test? (
+ https://yegortimoshenko.s3.amazonaws.com/${PN}-test.iso
+ https://yegortimoshenko.s3.amazonaws.com/${PN}-test.nrg
+ )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+DOCS=( CHANGELOG )
+
+src_compile() {
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} ${PN}.c -o ${PN}
+}
+
+src_test() {
+ einfo "checking that nrg -> iso matches the expected output"
+ "${S}/${PN}" "${DISTDIR}/${PN}-test.nrg" "${T}/${PN}-test.iso" || die "conversion failed"
+ diff "${DISTDIR}/${PN}-test.iso" "${T}/${PN}-test.iso" || die "unexpected iso"
+}
+
+src_install() {
+ dobin ${PN}
+ einstalldocs
+}